MeanAbsoluteDeviation {PerformanceAnalytics} | R Documentation

## Mean absolute deviation of the return distribution

### Description

To calculate Mean absolute deviation we take the sum of the absolute value of the difference between the returns and the mean of the returns and we divide it by the number of returns.

### Usage

    MeanAbsoluteDeviation(R, ...)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`...` | any other passthru parameters

### Details

MeanAbsoluteDeviation = sum(|r-mean(r)|)/n

where n is the number of observations of the entire series, r_i is the return in month i and \overline{r} is the mean return

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.62

### Examples

    data(portfolio_bacon)
    print(MeanAbsoluteDeviation(portfolio_bacon[,1])) #expected 0.0310

    data(managers)
    print(MeanAbsoluteDeviation(managers['1996']))
    print(MeanAbsoluteDeviation(managers['1996',1]))

[Package PerformanceAnalytics version 1.5.3 Index]